#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

cd $IOC_BASE_DIR
log.info "Starting to install Database Content."

###############################################################################
# Run content/createIOCDB_db2.sh using db2 instance user
###############################################################################
chmod -R 777 $IOC_BASE_DIR
dos2unix $IOC_BASE_DIR/configure-Linux.sh
su - $DB_INSTANCE_USER -c "export IOC_BASE_DIR=$IOC_BASE_DIR; $IOC_BASE_DIR/configure-Linux.sh"

###############################################################################
# Check return code
###############################################################################
if [ $? -eq 0 ]
then
  log.info "Installation of Database Content succeeded."
  exit 0
else
  log.error "Installation of Database Content failed."
  exit 1
fi
