#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

log.info "Starting to Restore LDAP Content."

mkdir $IOC_BACKUP_DIR
cd $IOC_BACKUP_DIR

###############################################################################
# TODO : Add backup code here
###############################################################################
echo "This is LDAP restore file." > $IOC_BACKUP_DIR/LDAP.bak
$TDS_HOME/bin/idsdirctl -D $TDS_ADMIN_ACCOUNT -w $TDS_ADMIN_PASSWORD stop
sleep 30
$TDS_HOME/sbin/idsdbrestore -I $LDAP_INSTANCE_NAME -k $IOC_BACKUP_DIR -b $IOC_BACKUP_DIR/LDAP.bak
sleep 30
$TDS_HOME/bin/idsdirctl -D $TDS_ADMIN_ACCOUNT -w $TDS_ADMIN_PASSWORD start
sleep 60
#./idsdbrestore -I reauthor -k /opt/ibm/ldap/V6.2/backup/BACKUP_FILES/ -b /opt/ibm/ldap/V6.2/backup/back.dat

if [ $? -eq 0 ]
then
  log.info "Restore LDAP Content succeeded."
  exit 0
else
  log.info "Restore LDAP Content failed."
  exit 1
fi