#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

cd $IOC_BASE_DIR
log.info "Start to Install WebSphere Message Queue Content."

###############################################################################
# Run content/configure-Linux.sh 
###############################################################################
chmod -R 777 $IOC_BASE_DIR
dos2unix $IOC_BASE_DIR/configure-Linux.sh
$IOC_BASE_DIR/configure-Linux.sh

###############################################################################
# Check return code
###############################################################################
if [ $? -eq 0 ]
then
  log.info "Install WebSphere Message Queue Success."
  exit 0
else
  log.error "Install WebSphere Message Queue Failed."
  exit 1
fi
