# /*
#  * IBM Confidential OCO Source Material
#  *
#  * Licensed Materials - Property of IBM
#  * 
#  * (C) Copyright IBM Corp. 2012  All rights reserved.
#  *
#  * The source code for this program is not published or otherwise divested
#  * of its trade secrets, irrespective of what has been deposited with the
#  * U. S. Copyright Office.
#  *
#  * US Government Users Restricted Rights - Use, duplication or
#  * disclosure restricted by GSA ADP Schedule Contract with IBM
#  * Corp.
#  */

#******************************************************************************
# File Name:   AssignWBMUsers.py
# Description: This file contains a  wsadmin script to add admin user to Model Security Group
#              
#******************************************************************************


from com.ibm.wbimonitor.lifecycle.spi.mbeans import RESTSecurityAdminMBeanFactory

rest_mbean = RESTSecurityAdminMBeanFactory.getMBean( AdminControl.getAdminClient() )
result =rest_mbean.assignRoleToUserOnResourceGroup("uid=admin,o=defaultWIMFileBasedRealm","root","KPI-Administrator","user")
if result:
	print "User Successfully Added"
else:
	print "User Adding Failed"
