#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
source ~/.baprofile

log.info "Starting to install WebSphere Portal Content."
cd $IOC_BASE_DIR

###############################################################################
# Echo the environment variables just for debug
###############################################################################
dos2unix $IOC_BASE_DIR/config-Linux.sh
chmod +x $IOC_BASE_DIR/config-Linux.sh; $IOC_BASE_DIR/config-Linux.sh

###############################################################################
# TODO : Need to find some better way to determine install result
###############################################################################
if [ $? -eq 0 ] 
then
  log.info "Installation of WebSphere Portal Content succeeded."
  exit 0
else
  log.info "Installation of WebSphere Portal Content failed."
  exit 1
fi