#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2012, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################

CUR_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)

# Set message variables
function iopmsg() {
	typeset -r msgkey=$1
	lang=`echo $LANG | awk -F"." '{print $1}'`
	lang=${lang:-en_US}
	MESSAGES_FILE="$CUR_DIR/${lang}/message.properties"
	[[ ! -f $MESSAGES_FILE ]] && lang=en_US
	line=$(grep "$msgkey" $MESSAGES_FILE)
	var=$(echo "$line" | sed -n -e 's/[^=]*=//p')
	echo $var
}

iopmsg "messageid_CDIOW067I"
		
	rm -f $CUR_DIR/topology/water_sunshine_topo.xml
	\cp -f $CUR_DIR/topology/water_sunshine_topo_delta.xml $CUR_DIR/topology/water_sunshine_topo.xml
	\cp -f $CUR_DIR/topology/water_sunshine_topo/SUNSHINE_BASE_PORTAL/content/delta/content-spec.xml $CUR_DIR/topology/water_sunshine_topo/SUNSHINE_BASE_PORTAL/content/content-spec.xml
	\cp -f $CUR_DIR/topology/water_sunshine_topo/SUNSHINE_WCP_PORTAL/content/delta/install-Linux.sh $CUR_DIR/topology/water_sunshine_topo/SUNSHINE_WCP_PORTAL/install-Linux.sh